package dev.service;

import dev.dao.MenuItemDao;
import dev.model.MenuItem;

import java.util.List;

public class MenuService {

    public void showMenu() {
        final MenuItemDao menuItemDao = new MenuItemDao();

        List<MenuItem> items = menuItemDao.findAll();
        if (items.isEmpty()) {
            System.out.println("The menu is currently empty.");
            return;
        }
        System.out.println("\n===== MENU =====");
        for (MenuItem item : items) {
            System.out.printf("[%d] %s - $%.2f (%s)\n", item.getId(), item.getName(), item.getPrice(), item.getCategory());
            if (item.getDescription() != null) {
                System.out.println("    " + item.getDescription());
            }
        }
    }

}